# Add Profile(s) to Video Preset

## /v1/video\_presets/:id:add\_profiles

<mark style="color:green;">`POST`</mark> `https://api.uiza.sh/v1/video_presets/:id:add_profiles`

#### Path Parameters

| Name | Type   | Description                                                |
| ---- | ------ | ---------------------------------------------------------- |
| id   | string | The unique identifier of your video preset to be retrieve. |

#### Request Body

| Name         | Type   | Description                                                                                                                               |
| ------------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------------- |
| profile\_ids | string | The identifier of the video profile to be add to this preset. You can add multiple profile by adding multiple profile ids separate by `,` |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "id": "3693d866-1577-48f4-a97c-6e15765ba0fe",
    "name": "Uiza LIVE 480p",
    "description": "",
    "is_default": true,
    "profiles": [
        {
            "id": "735299b7-5988-11ea-883b-028fc5698662",
            "name": "480p H264 30fps Normal Latency",
            "segment_duration": 4,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "480",
                "video_codec": "H264",
                "video_bitrate": "1000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        },
        {
            "id": "85844e8b-6281-11ea-883b-028fc5698662",
            "name": "720p H264 30fps Normal Latency",
            "segment_duration": 4,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "720",
                "video_codec": "H264",
                "video_bitrate": "2000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        }
    ],
    "created_at": "2020-02-28T01:32:31Z",
    "updated_at": "2020-02-29T17:09:15Z"
}
```

{% endtab %}

{% tab title="400 " %}

```
{
 "message": "We’re unable to validate the video profile(s) in your input. Please re-check your input to make sure the profile(s) are correct.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
 "message": "The video preset you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request POST 'https://api.uiza.sh/v1/video_presets/3693d866-1577-48f4-a97c-6e15765ba0fe:add_profiles' \
--header 'Authorization: uap-a1c559e57f5846d39ec50b2df062caf8-b1cef5b6' \
--data-raw '{
	"profile_ids": "85844e8b-6281-11ea-883b-028fc5698662,735299b7-5988-11ea-883b-028fc5698662"
}'
```

{% endcode %}
